%define		_modname	yaz
%define		_status		stable
Summary:	%{_modname} - a Z39.50 client for PHP
Summary(pl.UTF-8):	%{_modname} - klient Z39.50 dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0.8
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	72795905f95e7786b17b9918989eeaa6
URL:		http://pecl.php.net/package/yaz/
BuildRequires:	libxslt-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	yaz-devel
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
Obsoletes:	php-yaz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension implements a Z39.50 client for PHP using the YAZ
toolkit.

Find more information at: <http://www.indexdata.dk/phpyaz/>
<http://www.indexdata.dk/yaz/>.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie implementuje klienta Z39.50 dla PHP za pomocą narzędzi
YAZ.

Więcej informacji można znaleźć na stronach:
<http://www.indexdata.dk/phpyaz/> <http://www.indexdata.dk/yaz/>.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-yaz.git;a=log;h=AC-branch

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> a07c9cd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3a9fbff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> be16bed
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 3245cfe
- use new php extension related macros

* Sun Dec 24 2006 Adam Gołębiowski <adamg@pld-linux.org> c32bbb4
- updated to 1.0.8
- make use of php_webserver_restart macro
- BuildRequires: libxslt-devel

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> a1e67c6
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dc6631a
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> cf316bd
- updated to 1.0.7

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> fcac264
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> c0a9808
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 067971d
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 644e020
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 42974b4
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 123530f
- superfluous BR libtool removed

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 9d8e1da
- ./adapter -s

* Wed Jul 27 2005 Adam Gołębiowski <adamg@pld-linux.org> 02557eb
- updated to 1.0.4

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 6e300a7
- updated to 1.0.2

* Fri Aug 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 1d88575
- typo

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> c82b901
- really release 2

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> c451eea
- Obsoletes php-yaz
- Release 2

